Skip to content
Start here

List fleet status aggregate details by dimension

client.zeroTrust.dex.fleetStatus.overTime(FleetStatusOverTimeParams { account_id, from, to, 2 more } params, RequestOptionsoptions?): FleetStatusOverTimeResponse { deviceStats }
GET/accounts/{account_id}/dex/fleet-status/over-time

List details for devices using WARP, up to 7 days

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
params: FleetStatusOverTimeParams { account_id, from, to, 2 more }
account_id: string

Path param: Unique identifier for account

maxLength32
from: string

Query param: Time range beginning in ISO format

to: string

Query param: Time range end in ISO format

colo?: string

Query param: Cloudflare colo

device_id?: string

Query param: Device-specific ID, given as UUID v4

ReturnsExpand Collapse
FleetStatusOverTimeResponse { deviceStats }
deviceStats?: DeviceStats { byMode, byStatus, uniqueDevicesTotal }
byMode?: Array<ByMode>
timestamp?: string

Timestamp in ISO format

uniqueDevicesTotal?: number

Number of unique devices

value?: string
byStatus?: Array<ByStatus>
timestamp?: string

Timestamp in ISO format

uniqueDevicesTotal?: number

Number of unique devices

value?: string
uniqueDevicesTotal?: number

Number of unique devices

List fleet status aggregate details by dimension

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.zeroTrust.dex.fleetStatus.overTime({
  account_id: '01a7362d577a6c3019a474fd6f485823',
  from: '2023-10-11T00:00:00Z',
  to: '2023-10-11T00:00:00Z',
});

console.log(response.deviceStats);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byMode": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byMode": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "timestamp": "2023-10-11T00:00:00Z",
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}